DESC="Multiple project paths"

runtest()
{
  mkdir -p bin

  BIN="bin/test09${EXT}"

  EXEC="${AGCC} -I ${TestSrcDir}  -I ${TestDir}/additional_aspects --real-instances --path ${TestSrcDir} --path ${TestDir}/additional_aspects -o ${BIN} -v2 ${TestSrcDir}/*.cc"
  if  ( ${EXEC} );then true;else
    ERR_MSG="Failed executing '${EXEC}'"
    return 1
  fi

  if [ ! -f ${BIN} ];then
    ERR_MSG="Executable '${BIN}' was not generated"
    return 1
  else
    ${BIN} > test_09.out
  fi

  echo -n "\n\nDIFF:\n"
  if ( diff -w  test_09.out "${TestDir}/test_09.ref" );then true;else
    ERR_MSG="Outputs differ: Probably the programm was not weaved correctly"
    return 1
  fi
}